> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metabind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tags

> Retrieve all tags for a project

## Path Parameters

<ParamField path="organizationId" type="string" required>
  Organization ID
</ParamField>

<ParamField path="projectId" type="string" required>
  Project ID
</ParamField>

## Query Parameters

<ParamField query="page" type="number" default="1">
  Page number
</ParamField>

<ParamField query="limit" type="number" default="1000">
  Items per page (max 1000)
</ParamField>

<ParamField query="lastKey" type="string">
  Cursor for pagination (from previous response)
</ParamField>

<ParamField query="search" type="string">
  Search term for tag name
</ParamField>

## Response

<ResponseField name="data" type="Tag[]">
  Array of tag objects
</ResponseField>

<ResponseField name="pagination" type="object">
  Pagination information
</ResponseField>

### Example Response

```json theme={null}
{
  "data": [
    {
      "id": "tag123",
      "name": "Technology",
      "slug": "technology",
      "description": "Technology-related content",
      "createdAt": "2024-03-20T10:00:00Z",
      "updatedAt": "2024-03-21T15:30:00Z"
    },
    {
      "id": "tag456",
      "name": "Tutorial",
      "slug": "tutorial",
      "description": "Step-by-step guides",
      "createdAt": "2024-03-20T11:00:00Z",
      "updatedAt": "2024-03-20T11:00:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 1000,
    "total": 42,
    "lastKey": "eyJpZCI6InRhZzQ1NiJ9"
  }
}
```

## Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/tags" \
    -H "Authorization: Bearer YOUR_JWT"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/tags',
    {
      headers: {
        'Authorization': 'Bearer YOUR_JWT'
      }
    }
  );

  const { data: tags, pagination } = await response.json();
  console.log(`Found ${pagination.total} tags`);
  ```
</CodeGroup>
